define({ 

  //Type your controller code here 
  onViewCreated: function(){

    //this is called once and only once upon creation of the form
    voltmx.print("#### in Customer Form onViewCreated");

    this.view.init = () => {
      this.initForm();
    } ;
    this.view.preShow = () => {
      this.preShowForm();
    } ;
    this.view.postShow = () => {
      this.postShowForm();
    };
    this.view.onDestroy = () => {
      this.onDestroyForm();
    };
    this.view.onMapping = () => {
      this.onMappingForm();
    };
  }, 
  onNavigate: function(args){
    //this is called every time this form is displayed upon navigation
    //e.g., new voltmx.mvc.Navigation('frmFoo').navigate(args)
    voltmx.print("#### in Customer Form onNavigate");
  },
  onDestroyForm: function(){
    //this is called when the controller gets destroyed
    voltmx.print("#### in Customer Form onDestroy");
  },
  initForm: function(){
    //this is called once and only once upon creation of the form
    voltmx.print("#### in Customer Form Init");
  }, 
  onMappingForm: function(){
    voltmx.print("#### in Customer Form onMapping");	
  },
  preShowForm: function(){
    voltmx.print("#### in Customer Form preShow");	
  },
  postShowForm: function(){
    voltmx.print("#### in Customer Form postShow");	
  }

});